Get information about the group before joining
curl --request GET \
--url https://{host}/api/{session}/groups/join-info \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/groups/join-info"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/groups/join-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "120363XXXXX@g.us",
"subject": "Example Group",
"description": "Description of the group",
"participantCount": 50
}
Groups
Get Group Info Before Joining
Get group information using the invite code
GET
/
api
/
{session}
/
groups
/
join-info
Get information about the group before joining
Description
This endpoint allows viewing group information before joining it, using the invite code.URL Parameters
string
required
WhatsApp unique session ID
Query Params
string
required
Invite code of the group
Response
string
ID of the group
string
Name of the group
string
Description of the group
{
"id": "120363XXXXX@g.us",
"subject": "Example Group",
"description": "Description of the group",
"participantCount": 50
}
Status Codes
200- Information returned successfully400- Invalid code401- Unauthorized404- Group not found
Usage Example
curl -X GET "https://api.wappfy.com.br/api/my-session/groups/join-info?code=Abc123Xyz456"
const session = 'my-session';
const inviteCode = 'Abc123Xyz456';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/groups/join-info?code=${inviteCode}`);
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
invite_code = 'Abc123Xyz456'
response = requests.get(
f'https://api.wappfy.com.br/api/{session}/groups/join-info',
params={'code': invite_code}
)
data = response.json()
print(data)
Authorizations
Your Wappfy API key (get it at dash.wappfy.com.br)
Query Parameters
Group code (123) or url (https://chat.whatsapp.com/123)
Response
200 - application/json
The response is of type object.
